/*
 ----------------------------------------------------------------
 |    Perlin Production Corporation, February-April 1993 (c).	|##
 |   WINDOW PACKAGE Source Code for SuperSoft C 1.2.3 compiler.	|##
 |    V e r s i o n  3.1 , part 6.  LAST CHANGES: 08.05.1993.	|##
 ----------------------------------------------------------------##
  #################################################################

			LIST OF FUNCTIONS:
	winerr
*/

#include "wios.h"


char *winerr()
{

	if ( werrno < 0 || werrno > MAXERRN )
			 return "error number out of range";
	switch (werrno)
	{
	  case WENOERR	: return "no WIOS errors";
	  case WENOOR	: return "error out of range";
	  case WECOOSC	: return "cursor out of screen";
	  case WECOOCW	: return "cursor out of window";
	  case WEOPEN	: return "no dynamic memory";
	  case WESHAD	: return "shadow position out of screen";
	  case WEMNDEF	: return "menu not defined";
	  case WENOTM	: return "bad menu definition";
	  case WENOTP	: return "no place for text in window";
	}
}
